Page MenuHomePhabricator

[python, tests] Disable Clang Python tests on SPARC
ClosedPublic

Authored by ro on Mar 31 2019, 3:11 AM.

Details

Summary

Running make check-all fails on Solaris 11/SPARC since the clang python tests FAIL:

............................
======================================================================
FAIL: test_extent (tests.cindex.test_location.TestLocation)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/cindex/test_location.py", line 87, in test_extent
    self.assert_location(one.extent.start,line=1,column=1,offset=0)
  File "tests/cindex/test_location.py", line 22, in assert_location
    self.assertEqual(loc.column, column)
AssertionError: 5 != 1

======================================================================
FAIL: test_get_children (tests.cindex.test_cursor.TestCursor)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/cindex/test_cursor.py", line 70, in test_get_children
    self.assertEqual(tu_nodes[0].is_definition(), True)
AssertionError: False != True

----------------------------------------------------------------------
Ran 126 tests in 2.123s

FAILED (failures=2, skipped=6)

Unfortunately, this aborts the rest of `make check-all`, even with `-k`, so this patch
disables the test as is already done on a couple of other targets.

This allowed the `sparc-sun-solaris2.11` test to finish.

Diff Detail

Repository
rC Clang

Event Timeline

ro created this revision.Mar 31 2019, 3:11 AM
ro added a reviewer: mgorny.Apr 5 2019, 2:47 AM

Ping? Who's an appropriate reviewer here? CODE_OWNERS.TXT doesn't list anyone.

mgorny requested changes to this revision.Apr 5 2019, 2:57 AM

Just add it to the regex above.

This revision now requires changes to proceed.Apr 5 2019, 2:57 AM
ro updated this revision to Diff 194144.Apr 8 2019, 7:24 AM

Skip SPARC like other targets.

ro retitled this revision from [python, tests] Disable Clang Python tests on Solaris/SPARC to [python, tests] Disable Clang Python tests on SPARC.Apr 8 2019, 7:24 AM
ro added a comment.Apr 8 2019, 7:27 AM

Just add it to the regex above.

Done now. Initially I tried to check if it's also the ffi issue, until I noticed that some targets were skipped there for different reasons.
I cannot check anything but Solaris/SPARC, though, but assume that it's a generic SPARC issue, nothing Solaris-specific, given that Solaris/x86
passes the test.

mgorny accepted this revision.Apr 8 2019, 7:50 AM

Thanks, looks good. Do you have commit access or do you need me to commit it for you?

This revision is now accepted and ready to land.Apr 8 2019, 7:50 AM
ro added a comment.Apr 8 2019, 7:52 AM

Thanks, looks good. Do you have commit access or do you need me to commit it for you?

I do have commit access, so I'll do it myself. Thanks.

This revision was automatically updated to reflect the committed changes.